Subject: bug#11905: closed (Re: bug#11905: Unnecessary '#define unix' in src/s/aix4-2.h)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 11 Jul 2012 00:08:02 +0000

Your bug report

#11905: Unnecessary '#define unix' in src/s/aix4-2.h

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
11905: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11905
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#11905: Unnecessary '#define unix' in src/s/aix4-2.h
From: Paul Eggert <[email-masked]>
To: Glenn Morris <[email-masked]>
Cc: [email-masked]
Date: Tue, 10 Jul 2012 17:01:48 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

I merged the gnulib changes into Emacs as trunk bzr 109007
and am marking this as done.

Subject: Unnecessary '#define unix' in src/s/aix4-2.h
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Tue, 10 Jul 2012 19:25:59 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Package: emacs
Version: 24.1.50
Severity: minor

src/s/aix4-2.h does this:

  /* AIX doesn't define this.  */
  #define unix 1

The only place left in Emacs that references '#ifdef unix' is
lib/getloadavg.c, from Gnulib. I suspect that Gnulib already has the AIX
case covered (via "__unix"?), so that src/s/aix4-2.h no longer needs to
define "unix". But I'm not sure, hence this report...